Subject: Re: bug#64185: proposal for new function: copy-line

From: Juri Linkov <[email-masked]>
Date: Wed, 28 Jun 2023 20:42:10 +0300

>> (The only consideration is performance, but probably not worth
>> making the code more complex by increasing the size of copied region
>> exponentially to avoid inserting a large amount of small chunks one by one.)
>
> We can certainly do better.  I just pushed another 10× improvement, on
> top of the previous performance doubling for duplicate-line.

Thanks, this is a nice improvement.  Too bad you did this on master.
This means I can't push the patch that Eli approved to emacs-29 anymore,
because whoever will merge emacs-29 to master next time will be forced
to resolve the merge conflict, and this is not a trivial task.